<?php

/* 			

  Plugin Name: Auto posting API Products

  Plugin URI: http://www.realtimedesigner.com

  Description: Auto post RTD products to your Wordpress Pages.

  Version: 2.0

  Author: realtimedesigner

  Author URI: http://www.realtimedesigner.com

  : GPL2

 */

require_once(ABSPATH . 'wp-admin/includes/upgrade.php');

require_once 'shortcode.php';



//require_once("../../../wp-load.php");



function delete_post_meta_api() {

    $mtkey = array(

        'wp_background_colors_table_header',

        'wp_background_colors_table_numcolumns',

        'wp_background_colors_table_swath_height',

        'wp_background_colors_table_swath_width',

        'wp_background_colors_table_tail',

        'wp_clipart_table_header',

        'wp_clipart_table_image_width',

        'wp_clipart_table_numcolumns',

        'wp_clipart_table_tail',

        'wp_fonts_table_header',

        'wp_fonts_table_numcolumns',

        'wp_fonts_table_swath_height',

        'wp_fonts_table_swath_width',

        'wp_fonts_table_tail',

        'wp_foreground_colors_table_header',

        'wp_foreground_colors_table_numcolumns',

        'wp_foreground_colors_table_swath_height',

        'wp_foreground_colors_table_swath_width',

        'wp_foreground_colors_table_tail',

        'wp_general_templates_table_header',

        'wp_general_templates_table_image_width',

        'wp_general_templates_table_numcolumns',

        'wp_general_templates_table_tail',

        'wp_price_matrix_header',

//        'wp_price_matrix_input_table',

        'wp_price_matrix_tail',

        'wp_product_templates_table_header',

        'wp_product_templates_table_image_width',

        'wp_product_templates_table_numcolumns',

        'wp_product_templates_table_tail',

        'wp_pro_price_calculator'

    );

    if ($_GET['post']) {

        foreach ($mtkey as $key) {

            delete_post_meta($_GET['post'], $key);

        }

    }

}



delete_post_meta_api();



//add_action('add_meta_boxes ', 'delete_post_meta_api');



function AP_Activate() {



    global $wpdb;

    $wp_api_cat_ids = "CREATE TABLE `" . $wpdb->prefix . "api_cat_ids` (			

        `id` int(11) NOT NULL AUTO_INCREMENT,			

        `cat_id` int(11) NOT NULL,			

        `post_id` int(11) NOT NULL,			

        PRIMARY KEY (`id`)			

      )";



    dbDelta($wp_api_cat_ids);

    $wp_api_pro_ids = "CREATE TABLE `" . $wpdb->prefix . "api_pro_ids` (

        `id` int(11) NOT NULL AUTO_INCREMENT,

        `product_id` varchar(255) NOT NULL,

        `post_id` int(11) NOT NULL,

        `catss_id` int(11) NOT NULL,

        `pro_link` varchar(255) NOT NULL,

        `pro_link_s` varchar(255) NOT NULL,

        PRIMARY KEY (`id`)

      )";

    dbDelta($wp_api_pro_ids);



    $wp_tempcats = "CREATE TABLE `" . $wpdb->prefix . "tempcats` (			

        `id` int(11) NOT NULL AUTO_INCREMENT,			

        `tcats_name` varchar(255) NOT NULL,			

        `tcat_id` varchar(255) NOT NULL,			

        PRIMARY KEY (`id`)			

      )";

    dbDelta($wp_tempcats);



    $wp_tempproducts = "CREATE TABLE `" . $wpdb->prefix . "tempproducts` (			

      `id` int(11) NOT NULL AUTO_INCREMENT,			

      `tname` varchar(255) NOT NULL,			

      `tdesc` text NOT NULL,			

      `meta_desc` text NOT NULL,			

      `tlink` varchar(255) NOT NULL,			

      `tsize` varchar(255) NOT NULL,			

      `tproid` varchar(255) NOT NULL,			

      `tcaid` varchar(255) NOT NULL,			

      `timagelink` varchar(255) NOT NULL,			

      PRIMARY KEY (`id`)			

    )";

    dbDelta($wp_tempproducts);



    $wp_tempproducts_2 = "CREATE TABLE `" . $wpdb->prefix . "tempproducts_2` (			

        `id` int(11) NOT NULL AUTO_INCREMENT,			

        `tname` varchar(255) NOT NULL,			

        `tdesc` text NOT NULL,			

        `meta_desc` text NOT NULL,			

        `tlink` varchar(255) NOT NULL,			

        `tsize` varchar(255) NOT NULL,			

        `tproid` varchar(255) NOT NULL,			

        `tcaid` varchar(255) NOT NULL,			

        `timagelink` varchar(255) NOT NULL,			

        PRIMARY KEY (`id`)			

      )";

    dbDelta($wp_tempproducts_2);



    $wp_api_settings = "CREATE TABLE `" . $wpdb->prefix . "api_settings` (

        `id` int(11) NOT NULL AUTO_INCREMENT,

        `api_usrname` varchar(255) NOT NULL,

        `api_pwd` varchar(255) NOT NULL,

        `api_sign` varchar(255) NOT NULL DEFAULT '0',

        `pagepub` varchar(255) NOT NULL,

        `api_din` varchar(255) NOT NULL,

        `pricecalc` varchar(255) NOT NULL,

        `api_price_c` varchar(255) NOT NULL,

        `l_desi` varchar(255) NOT NULL,

        PRIMARY KEY (`id`)

      )";

    dbDelta($wp_api_settings);



//    $wp_api_bgcolor_options = "CREATE TABLE `" . $wpdb->prefix . "api_bgcolor_options` (

//        `id` int(11) NOT NULL AUTO_INCREMENT,

//        `peo_id` int(11) NOT NULL,

//        PRIMARY KEY (`id`)

//      ) ";

//    dbDelta($wp_api_bgcolor_options);

//

//    $wp_api_cliparts_options = "CREATE TABLE `" . $wpdb->prefix . "api_cliparts_options` (

//        `id` int(11) NOT NULL AUTO_INCREMENT,

//        `peo_id` int(11) NOT NULL,

//        PRIMARY KEY (`id`)

//      )";

//    dbDelta($wp_api_cliparts_options);

//

//    $wp_api_color_options = "CREATE TABLE `" . $wpdb->prefix . "api_color_options` (

//      `id` int(11) NOT NULL AUTO_INCREMENT,

//      `peo_id` int(11) NOT NULL,

//      PRIMARY KEY (`id`)

//    )";

//    dbDelta($wp_api_color_options);

//

//    $wp_api_pfonts_options = "CREATE TABLE `" . $wpdb->prefix . "api_pfonts_options` (

//      `id` int(11) NOT NULL AUTO_INCREMENT,

//      `peo_id` int(11) NOT NULL,

//      PRIMARY KEY (`id`)

//    )";

//    dbDelta($wp_api_pfonts_options);

//

//    $wp_api_pgentemps_options = "CREATE TABLE `" . $wpdb->prefix . "api_pgentemps_options` (

//      `id` int(11) NOT NULL AUTO_INCREMENT,

//      `peo_id` int(11) NOT NULL,

//      PRIMARY KEY (`id`)

//    )";

//    dbDelta($wp_api_pgentemps_options);

//

//    $wp_api_ptemps_options = "CREATE TABLE `" . $wpdb->prefix . "api_ptemps_options` (

//      `id` int(11) NOT NULL AUTO_INCREMENT,

//      `peo_id` int(11) NOT NULL,

//      PRIMARY KEY (`id`)

//    )";

//    dbDelta($wp_api_ptemps_options);



    $query = "INSERT INTO `" . $wpdb->prefix . "api_settings` (`id`, `api_usrname`, `api_pwd`, `api_sign`, `pagepub`, `api_din` , `pricecalc`) VALUES (NULL, '', '', '0', 'draft', '' , 'No');";

    $wpdb->query($query);

}



register_activation_hook(__FILE__, 'AP_Activate');



function AP_Uninstallation() {

    global $wpdb;

    $tabes = array(

        "api_cat_ids",

        "api_pro_ids",

        "tempcats",

        "tempproducts",

        "tempproducts_2",

        "api_settings"

//        "api_bgcolor_options",

//        "api_cliparts_options",

//        "api_color_options",

//        "api_pfonts_options",

//        "api_pgentemps_options",

//        "api_ptemps_options"

    );

    foreach ($tabes as $table) {

        $query = "DROP TABLE IF EXISTS " . $wpdb->prefix . $table;

        $wpdb->query($query);

    }

}



register_uninstall_hook(__FILE__, 'AP_Uninstallation');



function ap_main_page_function() {

    include 'main_page.php';

}



function ap_misc_settings_function() {

    global $wpdb;

    //$prosettings = mysql_query("select * from wp_api_settings where id = 1");

    //$rosSet =mysql_fetch_array($prosettings);

    //echo "<pre>";

    //print_r($rosSet);	

    require_once("RTD_functions.php");
    if(wp_script_is('jquery')) {

    // do nothing

    } else {

        wp_enqueue_script("jquery");

    }
    ?>		

    <script type="text/javascript" src="<?php echo home_url() . "/wp-content/plugins/auto_post_from_api/js/jquery.ui.core.js"; ?>"></script>			

    <script type="text/javascript" src="<?php echo home_url() . "/wp-content/plugins/auto_post_from_api/js/jquery.ui.widget.js"; ?>"></script>			

    <script type="text/javascript" src="<?php echo home_url() . "/wp-content/plugins/auto_post_from_api/js/jquery.ui.tabs.js"; ?>"></script>			

    <link type="text/css" rel="stylesheet" href="<?php echo home_url() . "/wp-content/plugins/auto_post_from_api/js/jquery.ui.all.css"; ?>" media="screen">			

    <script type="text/javascript">			

        jQuery(document).ready(function(e) {			

            jQuery(function() {			

                jQuery( "#tabs" ).tabs();			

            });					

            jQuery('#addprooo').click(function(e) {			

                jQuery('#imglod').show();			

                jQuery('#imgtext').show();			

                jQuery('#fulltable').hide();			

                jQuery('#addprooo').hide();			

                jQuery.ajax({			

                    type: "POST",			

                    url: "<?php echo home_url() ?>/wp-content/plugins/auto_post_from_api/get_products.php",			

                    data: "get_products=1",			

                    success: function(msg){			

                        jQuery('#imglod').hide();			

                        jQuery('#imgtext').hide();			

                        jQuery('#tabs').hide();			

                        window.location='?page=ap_page&addpro=1';			

                        jQuery('#tabs').show();			

                        jQuery('#fulltable').show();			

                        jQuery('#addprooo').show();			

                    }			

                });			

            });			

            jQuery(".ckchecked").click(function () {			

                var idd = jQuery(this).attr('alt');			

                jQuery('.cls_'+idd).attr('checked', 'checked');			

            });			

            jQuery(".unchked").click(function () {			

                var idd = jQuery(this).attr('alt');			

                jQuery('.cls_'+idd).removeAttr('checked');			

            });			

        });			

    </script>			

    <?php

    screen_icon('plugins');

    echo "<h2>" . __('Auto Post Products', '') . "</h2>";

    ?>			

    <?php

    if (isset($_POST['btnUpdimgg1212'])) {

        $target_path = "../wp-content/plugins/auto_post_from_api/images/";

        $target_path = $target_path . basename($_FILES['uploadedfile']['name']);

        if (move_uploaded_file($_FILES['uploadedfile']['tmp_name'], $target_path)) {

            //echo "The file ".  basename( $_FILES['uploadedfile']['name']). " has been uploaded";			

        } else {

            //echo "There was an error uploading the file, please try again!";			

        }

        if (!empty($_FILES['uploadedfile']['name'])) {

            $imagess = " `api_din` = '" . $_FILES['uploadedfile']['name'] . "',";

        }

        mysql_query("UPDATE `" . $wpdb->prefix . "api_settings` SET  			

											`pagepub` =  '" . $_POST['pagepub'] . "',			

											" . $imagess . "			

											`pricecalc` =  '" . $_POST['pricecalc'] . "'			

											 WHERE `id` = 1;");

        ?>			

        <div class="updated below-h2" id="message" style="width:585px; margin:0px 0px 5px 0px;"><p><strong>Options Updated Successfully. </strong>.</p></div>			

        <?php

    }

    ?>			

    <div>&nbsp;</div>			

    <div>&nbsp;</div>			

    <?php

    $sqll = mysql_query("select * from " . $wpdb->prefix . "api_cat_ids");

    while ($rowsss = mysql_fetch_array($sqll)) {

        $sqll34 = mysql_query("select * from " . $wpdb->prefix . "api_pro_ids where catss_id = " . $rowsss['post_id'] . "");

        $counnn = mysql_num_rows($sqll34);

        if ($counnn < 1) {

            mysql_query("DELETE FROM `" . $wpdb->prefix . "api_cat_ids` WHERE `post_id` = " . $rowsss['post_id'] . "");

            mysql_query("DELETE FROM `" . $wpdb->prefix . "posts` WHERE `ID` = " . $rowsss['post_id'] . "");

        }

    }

    ?>			

    <div id="addprooo" style="cursor:pointer;"><strong>Click here to import products from API</strong></div>			

    <div>&nbsp;</div>			

    <?php

    if (isset($_GET['addpro'])) {

        ?>			

        <div id="tabs">			

            <ul style="height:31px;">			

                <li><a href="#tabs-1">SELECT PRODUCTS</a></li>			

                <li><a href="#tabs-2">PUBLISH</a></li>			

            </ul>			

            <div id="tabs-1">			

                <form action="<?php echo home_url() ?>/wp-content/plugins/auto_post_from_api/savepro.php" method="post" enctype="multipart/form-data">			

                    <table width="100%" style="width:100%;">			

                        <?php

                        $sqlll = mysql_query("select * from " . $wpdb->prefix . "tempcats");

                        while ($rowCats = mysql_fetch_array($sqlll)) {

                            ?>			

                            <tr><td>			

                                    <table style="border:solid 1px;" width="100%">			

                                        <tr><td align="center" style="background:#FFFBCC;"><strong><?php echo $rowCats['tcats_name']; ?></strong> <input type="button" value="Check All"  id="checkall" class="ckchecked" alt="<?php echo $rowCats['tcat_id']; ?>"/> &nbsp;&nbsp; <input type="button" class="unchked" value="UnCheck All" id="Uncheckall" alt="<?php echo $rowCats['tcat_id']; ?>"/></td></tr>			

                                        <tr><td>&nbsp;</td></tr>			

                                        <tr><td>&nbsp;</td></tr>			

                                        <tr>			

                                            <td><div>			

                                                    <?php

                                                    $sql3ll = mysql_query("select * from " . $wpdb->prefix . "tempproducts where tcaid = " . $rowCats['tcat_id'] . "");

                                                    while ($ro32wCats = mysql_fetch_array($sql3ll)) {

                                                        $sql3ll4343 = mysql_query("select * from " . $wpdb->prefix . "api_pro_ids where product_id = " . $ro32wCats['tproid'] . "");

                                                        //$ro32wCat43s = mysql_fetch_array($sql3ll4343);			

                                                        $counntt = mysql_num_rows($sql3ll4343);

                                                        if ($counntt > 0) {

                                                            ?>				

                                                            <div style="padding-left:20px; width:45%; float:left;">			

                                                                <div><input disabled="disabled" type="checkbox" name="txtPro[]" value="<?php echo $ro32wCats['tproid']; ?>" /> &nbsp;&nbsp; <?php echo $ro32wCats['tname']; ?> <span style="color:red;">(Already Exists)</span></div>			

                                                                <div>&nbsp;</div>			

                                                            </div>			

                                                        <?php } else { ?>			

                                                            <div style="padding-left:20px; width:45%; float:left;">			

                                                                <div><input type="checkbox" class="cls_<?php echo $rowCats['tcat_id']; ?>" name="txtPro[]" value="<?php echo $ro32wCats['tproid']; ?>" /> &nbsp;&nbsp; <?php echo $ro32wCats['tname']; ?></div>			

                                                                <div>&nbsp;</div>			

                                                            </div>			

                                                        <?php } ?>       			

                                                    <?php } ?>    			

                                                </div></td>			

                                        </tr>			

                                        <tr><td>&nbsp;</td></tr>			

                                    </table></td></tr>			

                            <tr><td>&nbsp;</td></tr>			

                        <?php } ?>			

        <!--	<tr><td><input type="submit" name="btnsumm" value="Save Products" /></td></tr>-->			

                    </table>			

            </div>			



            <div id="tabs-2">			

                <p>

                    <input type="hidden" name="pricecalc" value="No">

                    <input type="hidden" name="pagepub" value="publish">

                    <input type="submit" name="btnsumm" value="SAVE PRODUCTS" />			

                </p>			

            </div>			

        </form>			

        </div>			

    <?php } ?>			

    <div id="myallposts">			

        <div id="imglod" align="center" style="display:none;"><img src="<?php echo home_url() ?>/wp-content/plugins/auto_post_from_api/images/loading.gif" width="120"/></div>			

        <div id="imgtext" align="center" style="color:#009900; display:none;">Please wait</div>			

        <div>&nbsp;</div>			

        <?php

        //if(isset($_GET['addpro']))			

        //{			

        ?>			

        <script type="text/javascript">			

            function delpro(id)			

            {			

                var agree=confirm("Are you sure to delete this?");			

                if (agree){			

                    window.location='admin.php?page=ap_page&del_idp='+id;			

                    return true ;			

                }			

                else			

                    return false ;			

            }			

            function delcatt(id)			

            {			

                var agree=confirm("Are you sure to delete this?");			

                if (agree){			

                    window.location='admin.php?page=ap_page&del_idc='+id;			

                    return true ;			

                }			

                else			

                    return false ;			

            }			

        </script>			

        <?php

        if (isset($_GET['del_idc']) && !empty($_GET['del_idc'])) {

            mysql_query("DELETE FROM `" . $wpdb->prefix . "posts` WHERE `ID` = '" . $_GET['del_idc'] . "'");

            mysql_query("DELETE FROM `" . $wpdb->prefix . "api_pro_ids` WHERE `post_id` = '" . $_GET['del_idc'] . "'");

            $mmm111 = mysql_query("select * from " . $wpdb->prefix . "api_pro_ids WHERE `post_id` = '" . $_GET['del_idc'] . "'");

            $ross111 = mysql_fetch_array($mmm111);

            $ross111['product_id'];

            mysql_query("DELETE FROM `" . $wpdb->prefix . "api_bgcolor` WHERE `pros_id` = '" . $ross111['product_id'] . "'");

            mysql_query("DELETE FROM `" . $wpdb->prefix . "api_cliparts` WHERE `pros_id` = '" . $ross111['product_id'] . "'");

            mysql_query("DELETE FROM `" . $wpdb->prefix . "api_color` WHERE `pros_id` = '" . $ross111['product_id'] . "'");

            mysql_query("DELETE FROM `" . $wpdb->prefix . "api_pfonts` WHERE `pros_id` = '" . $ross111['product_id'] . "'");

            mysql_query("DELETE FROM `" . $wpdb->prefix . "api_pgentemps` WHERE `pros_id` = '" . $ross111['product_id'] . "'");

            mysql_query("DELETE FROM `" . $wpdb->prefix . "api_ptemps` WHERE `pros_id` = '" . $ross111['product_id'] . "'");

            //huyen - delete data from api_ctemps table

            mysql_query("DELETE FROM `" . $wpdb->prefix . "api_ctemps` WHERE `pros_id` = '" . $ross111['product_id'] . "'");

            ?>			

            <div class="updated below-h2" id="message" style="width:585px; margin:0px 0px 5px 0px;"><p><strong>Product Deleted Successfully</strong>.</p></div>				

            <script type="text/javascript">			

                window.location='?page=ap_page'			

            </script>			

            <?php

        }

        ?>			

        <?php

        if (isset($_GET['del_idp']) && !empty($_GET['del_idp'])) {

            mysql_query("DELETE FROM `" . $wpdb->prefix . "posts` WHERE `ID` = '" . $_GET['del_idp'] . "'");

            mysql_query("DELETE FROM `" . $wpdb->prefix . "api_cat_ids` WHERE `post_id` = '" . $_GET['del_idp'] . "'");

            $mmm = mysql_query("select * from " . $wpdb->prefix . "api_pro_ids WHERE `catss_id` = '" . $_GET['del_idp'] . "'");

            while ($ross = mysql_fetch_array($mmm)) {

                mysql_query("DELETE FROM `" . $wpdb->prefix . "posts` WHERE `ID` = '" . $ross['post_id'] . "'");

            }

            mysql_query("DELETE FROM `" . $wpdb->prefix . "api_pro_ids` WHERE `catss_id` = '" . $_GET['del_idp'] . "'");

            $mmm111 = mysql_query("select * from " . $wpdb->prefix . "api_pro_ids WHERE `catss_id` = '" . $_GET['del_idp'] . "'");

            while ($ross111 = mysql_fetch_array($mmm111)) {

                mysql_query("DELETE FROM `" . $wpdb->prefix . "api_bgcolor` WHERE `pros_id` = '" . $ross111['product_id'] . "'");

                mysql_query("DELETE FROM `" . $wpdb->prefix . "api_cliparts` WHERE `pros_id` = '" . $ross111['product_id'] . "'");

                mysql_query("DELETE FROM `" . $wpdb->prefix . "api_color` WHERE `pros_id` = '" . $ross111['product_id'] . "'");

                mysql_query("DELETE FROM `" . $wpdb->prefix . "api_pfonts` WHERE `pros_id` = '" . $ross111['product_id'] . "'");

                mysql_query("DELETE FROM `" . $wpdb->prefix . "api_pgentemps` WHERE `pros_id` = '" . $ross111['product_id'] . "'");

                mysql_query("DELETE FROM `" . $wpdb->prefix . "api_ptemps` WHERE `pros_id` = '" . $ross111['product_id'] . "'");

                //huyen - delete data from api_ctemps table

                mysql_query("DELETE FROM `" . $wpdb->prefix . "api_ctemps` WHERE `pros_id` = '" . $ross111['product_id'] . "'");

                mysql_query("DELETE FROM `" . $wpdb->prefix . "api_cat_cliparts` WHERE `pros_id` = '" . $ross111['product_id'] . "'");

                mysql_query("DELETE FROM `" . $wpdb->prefix . "api_groupcat_cliparts` WHERE `pros_id` = '" . $ross111['product_id'] . "'");

            }

            ?>			

            <div class="updated below-h2" id="message" style="width:585px; margin:0px 0px 5px 0px;"><p><strong>Category Deleted Successfully</strong>.</p></div>				

            <script type="text/javascript">			

                window.location='?page=ap_page'			

            </script>			

            <?php

        }

        ?>			

        <?php

        if (isset($_GET['cat_idd']) && !empty($_GET['cat_idd'])) {

            ?>			

            <table style="width:95%" cellspacing="0" id="fulltable" class="wp-list-table widefat fixed posts">			

                <thead>			

                    <tr>			

                        <?php

                        global $wpdb;

                        $loader = WP_PLUGIN_URL . '/' . str_replace(basename(__FILE__), "", plugin_basename(__FILE__)) . "images/wpspin_light.gif";

                        $query1 = "SELECT * FROM `" . $wpdb->prefix . "api_pro_ids` as preID, `" . $wpdb->prefix . "posts` as posts where preID.post_id = posts.ID AND preID.catss_id=" . $_GET['cat_idd'] . "";

                        $postss1 = $wpdb->get_results($query1, OBJECT);

                        ?>			

                        <th>Products Name </th>			

                        <th>Action</th>			

                    </tr>			

                </thead>			

                <tbody>			

                    <?php

                    foreach ($postss1 as $post_av1) {

                        ?>			

                        <tr>			

                            <td><?php echo $post_av1->post_title; ?> </td>     			

                            <td>			

                                <a><span onclick="delcatt(<?php echo $post_av1->ID; ?>)" style="cursor:pointer;"> Delete </span></a>			

                            </td>			

                        </tr>			

                    <?php } ?>			

                </tbody>			

            </table>			

        <?php } else { ?>			

            <table style="width:95%" cellspacing="0" id="fulltable" class="wp-list-table widefat fixed posts">			

                <thead>			

                    <tr>			

                        <?php

                        global $wpdb;

                        $loader = WP_PLUGIN_URL . '/' . str_replace(basename(__FILE__), "", plugin_basename(__FILE__)) . "images/wpspin_light.gif";

                        //$query = "SELECT * FROM `".$wpdb->prefix."api_pro_ids` as preID, `".$wpdb->prefix."posts` as posts where preID.post_id = posts.ID";			

                        $query = "SELECT * FROM `" . $wpdb->prefix . "api_cat_ids` as catID, `" . $wpdb->prefix . "posts` as posts where catID.post_id = posts.ID";

                        $postss = $wpdb->get_results($query, OBJECT);

                        ?>			

                        <th>Categories </th>			

                        <th>Action</th>			

                    </tr>			

                </thead>			

                <tbody>			

                    <?php

                    foreach ($postss as $post_av) {

                        ?>			

                        <tr>			

                            <td><?php echo $post_av->post_title; ?> </td>     			

                            <td>			

                                <a href="?page=ap_page&cat_idd=<?php echo $post_av->ID; ?>">view products</a> &nbsp;&nbsp;&nbsp; <a><span onclick="delpro(<?php echo $post_av->ID; ?>)" style="cursor:pointer;"> Delete </span></a>			

                            </td>			

                        </tr>			

                    <?php } ?>			

                </tbody>			

            </table>			

        <?php } ?>			

    </div>			

    <div id="posts_data"></div>			

    <?php

}



function ap_main_page_function_temp() {

    include 'protemp.php';

}



function ap_main_page_function_font() {

    include('fonts.php');

}



function ap_main_page_function_bg() {

    include('probg.php');

}



function ap_main_page_function_color() {

    include('procolor.php');

}



function ap_main_page_function_clipart() {

    include('proclipart.php');

}



function ap_main_page_function_gtemp() {

    include('progtemp.php');

}



add_action("admin_menu", "categoryBannerAdminPageMenus");



function categoryBannerAdminPageMenus() {

    $myIcon = WP_PLUGIN_URL . '/' . str_replace(basename(__FILE__), "", plugin_basename(__FILE__)) . "images/icon.gif";

    add_menu_page("RTD API Products", "RTD API Products", 10, "ap_page", "ap_misc_settings_function", $myIcon);

    //add_submenu_page('ap_page', 'Product Templates', 'Product Templates', 10, 'ap_page_5', 'ap_main_page_function_temp');

    //add_submenu_page('ap_page', 'Product Fonts', 'Product Fonts', 10, 'ap_page_6', 'ap_main_page_function_font');

    //add_submenu_page('ap_page', 'Product BGColors', 'Product BGColors', 10, 'ap_page_7', 'ap_main_page_function_bg');

    //add_submenu_page('ap_page', 'Product Colors', 'Product Colors', 10, 'ap_page_8', 'ap_main_page_function_color');

    //add_submenu_page('ap_page', 'Product Cliparts', 'Product Cliparts', 10, 'ap_page_9', 'ap_main_page_function_clipart');

    //add_submenu_page('ap_page', 'Product General Templates', 'Product General Templates', 10, 'ap_page_10', 'ap_main_page_function_gtemp');

    add_submenu_page('ap_page', 'API Settings', 'API Settings', 10, 'ap_page_4', 'ap_main_page_function');

    add_submenu_page('ap_page', 'Shortcode List', '<div class=\'shortcode\'>Shortcode List</div>', 10, 'ap_page_11', 'ap_main_page_function_shortcodelist');

}

//add_filter('page_template', 'block_template');



function block_template($page_template) {

    global $post, $wpdb;

    $post_id = $post->ID;

    $Newp = mysql_query("SELECT * FROM `" . $wpdb->prefix . "api_settings` where id = 1");

    $ssRp12 = mysql_fetch_array($Newp);

    if ($ssRp12['l_desi'] == 'No') {

        $ooo = "Yes";

    }

    $sss = mysql_query("SELECT * FROM `" . $wpdb->prefix . "api_ptemps_options` as tem, `" . $wpdb->prefix . "api_pro_ids` as pid where tem.peo_id = pid.product_id AND post_id = " . $post_id . "");

    $cuonn = mysql_num_rows($sss);

    $postmey = get_post_meta($post_id, "wp_price_matrix_input_table", true);

    $sss1color = mysql_query("SELECT * FROM `" . $wpdb->prefix . "api_bgcolor_options` as tem, `" . $wpdb->prefix . "api_pro_ids` as pid where tem.peo_id = pid.product_id AND post_id = " . $post->ID . "");

    $cuonn1color = mysql_num_rows($sss1color);

    $sss1color = mysql_query("SELECT * FROM `" . $wpdb->prefix . "api_color_options` as tem, `" . $wpdb->prefix . "api_pro_ids` as pid where tem.peo_id = pid.product_id AND post_id = " . $post->ID . "");

    $cuonn1color12 = mysql_num_rows($sss1color);

    $sss1font = mysql_query("SELECT * FROM `" . $wpdb->prefix . "api_pfonts_options` as tem, `" . $wpdb->prefix . "api_pro_ids` as pid where tem.peo_id = pid.product_id AND post_id = " . $post->ID . "");

    $cuonn1fon = mysql_num_rows($sss1font);

    $sss1Clip = mysql_query("SELECT * FROM `" . $wpdb->prefix . "api_cliparts_options` as tem, `" . $wpdb->prefix . "api_pro_ids` as pid where tem.peo_id = pid.product_id AND post_id = " . $post->ID . "");

    $cuonn1clip = mysql_num_rows($sss1Clip);

    $sss1gTemp = mysql_query("SELECT * FROM `" . $wpdb->prefix . "api_pgentemps_options` as tem, `" . $wpdb->prefix . "api_pro_ids` as pid where tem.peo_id = pid.product_id AND post_id = " . $post->ID . "");

    $cuonn1gtemp = mysql_num_rows($sss1gTemp);

    if ($postmey != '' || $cuonn > 0 || $cuonn1color > 0 || $cuonn1color12 > 0 || $cuonn1fon > 0 || $cuonn1clip > 0 || $cuonn1gtemp > 0 || $ooo == 'Yes') {

        $page_template = 'wp-content/plugins/auto_post_from_api/newTemp.php';

    }

    $page_template = 'wp-content/plugins/auto_post_from_api/newTemp.php';

    return $page_template;

}



function vptemp($page_template) {

    if (isset($_GET['view'])) {

        $page_template = 'wp-content/plugins/auto_post_from_api/vplink.php';

    }

    return $page_template;

}



add_filter('page_template', 'vptemp');



function my_header_content() {

    echo "<style>p{color:black;}</style>";

}



add_action('wp_head', 'my_header_content');



function ap_main_page_function_shortcodelist() {

    ?>

    <style>

        td,th{

            padding: 5px;

            border-bottom: 1px solid red;

            border-collapse: collapse;

        }

        th{

            font-weight: bold;

            text-align: center;

            border-collapse: collapse;

        }

        table{

            width:70%;

        }

        #ShortcodeList, table{

            margin: 0 auto;

        }

    </style>

    <h2>Shortcode List</h2>

    <div id="ShortcodeList">

        <table>

            <tr>

                <th>Name</th>

                <th>Shortcode examples</th>

            </tr>

            <tr>

                <td>RTD online designer</td>

                <td>[RTD_online_designer imglink="http://www.realtimedesigner.com/images/designit.png"]</td>

            </tr>

            <tr>

                <td>Price Calculator</td>

                <td>[Price_Calculator imglink='http://www.realtimedesigner.com/images/calculatepricing.png' width=400 height=500]</td>

            </tr>

            <tr>

            </tr>

            <tr>

                <td>BackGround Colors</td>

                <td>[BG_Colors cols=5 width=40 height=20]</td>

            </tr>

            <tr>

                <td>Colors</td>

                <td>[FG_Colors cols=5 width=100 height=50]</td>

            </tr>

            <tr>

                <td>ClipArt</td>

                <td>[Clipart cols=5 width=100]</td>

            </tr>

            <tr>

                <td>Fonts</td>

                <td>[Fonts cols=3]</td>

            </tr>

            <tr>

                <td>General Templates</td>

                <td>[General_Templates cols=3 width=200]</td>

            </tr>

            <tr>

                <td>Product Templates</td>

                <td>[Product_Templates cols=3 width=150]</td>

            </tr>
            <tr>

                <td>Create Store</td>

                <td>[Create_Store name='']</td>

            </tr>
            <tr>

                <td>Price Matrix</td>

                <td>[Price_Matrix]</td>

            </tr>   
            <tr>

                <td>Product Image</td>

                <td>[Product_image]</td>

            </tr>   

        </table>

    </div>

    <?php

}

add_action( 'admin_head', 'open_newtab_shortcode' );

function open_newtab_shortcode(){

    ?>

    <script type="text/javascript">

     jQuery(document).ready(function(){

         jQuery('div.shortcode').parent().attr('target','_blank');

     });

     </script>

    <?php

}

?>